package org.fax4j.spi.http;

/**
 * Holds the HTTP common request/response data.
 * 
 * @author 	Sagie Gur-Ari
 * @version 1.0
 * @since	0.37
 */
public abstract class AbstractHTTPPayload
{
	/**The content*/
	private byte[] content;

	/**
	 * This is the default constructor.
	 */
	public AbstractHTTPPayload()
	{
		super();
	}

	/**
	 * This function returns the content.
	 * 
	 * @return 	The content
	 */
	public byte[] getContent()
	{
		byte[] clone=null;
		if(this.content!=null)
		{
			clone=this.content.clone();
		}
		return clone;
	}

	/**
	 * This function sets the content.
	 * 
	 * @param 	content
	 * 			The new value for the content
	 */
	public void setContent(byte[] content)
	{
		if(content==null)
		{
			this.content=null;
		}
		else
		{
			this.content=content.clone();
		}
	}
}